package com.ruoyi.predict.service;

import com.ruoyi.predict.domain.WindplantPoint;

import java.util.List;

/**
 * WindplantPointService接口
 *
 * @author hlf
 * @date 2022-01-10
 */
public interface IWindplantPointService {
    /**
     * 查询WindplantPoint
     *
     * @param windplantNo WindplantPointID
     * @return WindplantPoint
     */
    public WindplantPoint selectWindplantPointById(Long windplantNo);

    /**
     * 查询WindplantPoint列表
     *
     * @param windplantPoint WindplantPoint
     * @return WindplantPoint集合
     */
    public List<WindplantPoint> selectWindplantPointList(WindplantPoint windplantPoint);

    /**
     * 新增WindplantPoint
     *
     * @param windplantPoint WindplantPoint
     * @return 结果
     */
    public int insertWindplantPoint(WindplantPoint windplantPoint);

    /**
     * 修改WindplantPoint
     *
     * @param windplantPoint WindplantPoint
     * @return 结果
     */
    public int updateWindplantPoint(WindplantPoint windplantPoint);

    /**
     * 删除WindplantPoint信息
     *
     * @param windplantNo WindplantPointID
     * @return 结果
     */
    public int deleteWindplantPointById(Long windplantNo);

    /**
     * 批量删除WindplantPoint
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteWindplantPointByIds(String ids);

    String checkWindplantNoUnique(Long windplantNo);
}
